MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002618VCMICampaignspublic2016-11-23 11:412018-01-29 11:00
ReporterPovelitel 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002618: After win in campaigns I start mission and game crash
DescriptionThis save need press end turn and you win in this game. After you change start bonus press start and game crash. I dont know why, but when i tested this campaigns with cheat vcmisilmaril I can normal continue this campaign.

В этом сейве нужно нажать конец хода и потом вы выиграете. После вы выбираете стартовый бонус, нажимаете старт и игра крешится. Я не знаю почему, но когда я тестировал эту кампанию с помощью чита на победу оно нормально переходило из миссии в миссию в этой кампании.
Но вот когда я начал именно играть в следующей же миссии произошла авария.
TagsNo tags attached.
Attached Files7z file icon save_and_logs.7z [^] (665,343 bytes) 2016-11-23 11:41

- Relationships
duplicate of 0002037resolvedSXX Crash RoE - Long Live Qeen - mission2 - Guardian Angel 

-  Notes
(0007114)
SXX (administrator)
2017-07-14 12:59

Should be resolved now:
https://github.com/vcmi/vcmi/commit/ee7862b12f2d72ea51993416e1cbafbb300d825c [^]
https://github.com/vcmi/vcmi/commit/4bf1c9a9a354857ae79e21b2c390aca7b10fde06 [^]

I tested few campaigns and they seems to be working fine.
Old saves should also be working as long as you just go to next scenario.
(0007375)
Povelitel (updater)
2018-01-15 16:18
edited on: 2018-01-15 16:19

Сейв грузится, в следующую миссию переходит, НО герой показывается что 21го уровня, хотя его статы 0 0 2 3, что соответствует уровню 1.

Save loading, hero going in next scenario, but level hero are 21 with 0 0 2 3 stats.

(0007388)
SkyRE (reporter)
2018-01-29 10:38

Confirm mismatch of hero's stats and his level.

- Issue History
Date Modified Username Field Change
2016-11-23 11:41 Povelitel New Issue
2016-11-23 11:41 Povelitel File Added: save_and_logs.7z
2017-07-14 12:53 SXX Relationship added duplicate of 0002037
2017-07-14 12:59 SXX Note Added: 0007114
2017-07-14 12:59 SXX Status new => resolved
2017-07-14 12:59 SXX Fixed in Version => 0.next
2017-07-14 12:59 SXX Resolution open => fixed
2017-07-14 12:59 SXX Assigned To => SXX
2018-01-15 16:18 Povelitel Note Added: 0007375
2018-01-15 16:19 Povelitel Note Edited: 0007375 View Revisions
2018-01-29 10:38 SkyRE Note Added: 0007388

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean